﻿
@model IMS_IMS_MODEL.LandModel


<script src="~/Scripts/toastr.min.js"></script>
<link href="~/Content/toastr.css" rel="stylesheet" />

<script>
         $('.txtBreadthLand').keypress(function(event) {
        if ((event.which != 46 || $(this).val().indexOf('.') != -1) && (event.which < 48 || event.which > 57)) {
            event.preventDefault();
        }
       
     });

       $('.txtLengthLand').keypress(function(event) {
        if ((event.which != 46 || $(this).val().indexOf('.') != -1) && (event.which < 48 || event.which > 57)) {
            event.preventDefault();
        }
       
       });

    $('.txtAreaLand').keypress(function(event) {
        if ((event.which != 46 || $(this).val().indexOf('.') != -1) && (event.which < 48 || event.which > 57)) {
            event.preventDefault();
        }
       
      });
</script>

@using (Ajax.BeginForm("Land", "WBS", new AjaxOptions
{
    HttpMethod = "POST",
    OnSuccess = "OnSuccess",
    OnFailure = "OnFailure",
    LoadingElementId = "progress",
    OnComplete = "OnComplete"
}, new { @id = "FormLand" }))
{
    @Html.AntiForgeryToken()



    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
    <div class="container-fluid">
        <div class="row " style="display:none">

            <div class="form-group green-border-focus col-md-6 ">
                @Html.LabelFor(model => model.Location, "", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.Location, new { htmlAttributes = new { @class = "form-control locationddlLand", @id = "Location" } })
                    @Html.ValidationMessageFor(model => model.Location, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.ItemName, "", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.ItemName, new { htmlAttributes = new { @class = "form-control itemnameddlLand" } })
                    @Html.ValidationMessageFor(model => model.ItemName, "", new { @class = "text-danger" })
                </div>
            </div>
        </div>
        <div class="row">
            <div class="form-group green-border-focus col-md-6 ">
                @Html.LabelFor(model => model.Length, "Length", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @*@Html.DropDownListFor(model => model.Length, Enumerable.Empty<SelectListItem>(), "--Select Item Type--", new { @class = "form-control", @id = "ItemType1" })*@
                    @Html.EditorFor(model => model.Length, new { htmlAttributes = new { @class = "form-control txtLengthLand", @placeholder = "Length in Meter", @id = "LengthLand" } })
                    @Html.ValidationMessageFor(model => model.Length, "", new { @class = "text-danger" })


                </div>
            </div>

            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.Breadth, "Width", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @*@Html.DropDownListFor(model => model.Breadth, Enumerable.Empty<SelectListItem>(), "--Select Category--", new { @class = "form-control", @id = "Category1" })*@
                    @Html.EditorFor(model => model.Breadth, new { htmlAttributes = new { @class = "form-control txtBreadthLand", @placeholder = "Width (in Meter)", @id = "WidthLand" } })
                    @Html.ValidationMessageFor(model => model.Breadth, "", new { @class = "text-danger" })

                </div>
            </div>


        </div>


        <div class="row">

            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.Area, "Area", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @*@Html.DropDownListFor(model => model.Area, Enumerable.Empty<SelectListItem>(), "--Select Category--", new { @class = "form-control", @id = "Category1" })*@
                    @Html.EditorFor(model => model.Area, new { htmlAttributes = new { @class = "form-control txtAreaLand", @placeholder = "Area in Square Meter", @id = "AreaofLand" } })
                    @Html.ValidationMessageFor(model => model.Area, "", new { @class = "text-danger" })

                </div>
            </div>

            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.Quantity, "Quantity", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.Quantity, new { htmlAttributes = new { @class = "form-control", placeholder = "Quantity", @id = "Quantity" } })
                    @Html.ValidationMessageFor(model => model.Quantity, "", new { @class = "text-danger" })
                </div>
            </div>

        </div>


        <div class="row">

            <div class="form-group green-border-focus col-md-12">
                @Html.LabelFor(model => model.Description, "Remarks", htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">

                    @Html.TextAreaFor(model => model.Description, new { @class = "form-control green-border-focus",@placeholder="Write Something ...", @id = "description", rows = 3, cols = 90, @value = "Description", @title = "Description" })
                    @Html.ValidationMessageFor(model => model.Description, "", new { @class = "text-danger" })
                </div>
            </div>

        </div>
        <div class=" col-md-12">
            <div class=" col-md-6">
                <input type="submit" value="Submit Details" class="col-md-offset-6 btn btn-success btn-block" id="btnSubmit" />
            </div>

        </div>




    </div>

}

<hr class="style-eight" />

<div class=" col-md-6 offset-md-4">
    @Html.ActionLink(" Download XLSX File", "ExportSpeardSheetLand", "WBS", null, new { @style = "text-transform:capitalize;", @class = "btn btn-success btn-lg  fa fa-file-excel-o large pull-right" })
    <h6 id="ItemName" style="color:Highlight;font-weight:900"><span style="color:Highlight;font-weight:900">ITEM NAME :</span> @ViewBag.LandDetails</h6>
</div>
<div class="container-fluid" style="background-color:lightgrey">
    <table class="table table-bordered table-hover table-responsive table-striped" id="MyDataTableLand" style="width:100%; text-align:center;border:1px solid">
        <thead>
            <tr style="text-align:center">
                <th style="text-align:center">Item Serial</th>
                @*<th style="text-align:center">Location</th>
                <th style="text-align:center">Item Name</th>*@
                <th style="text-align:center">Length</th>
                <th style="text-align:center">Width</th>
                <th style="text-align:center">Area</th>
                <th style="text-align:center">Quantity</th>
                <th style="text-align:center">Description</th>


            </tr>
        </thead>
        <tbody></tbody>


    </table>
    <div style="text-align:center;display:none" id="loaderDiv">
        <img src="~/Content/images/circle-3.gif" width="70" />
    </div>
</div>

<script>

    $(document).ready(function () {


        $("#loaderDiv").show();
        ShowLandDetails();
         $("#MyDataTableLand").DataTable().clear();
        $("#MyDataTableLand").DataTable().destroy();

    });
    var responseData = '';
    var ShowLandDetails = function () {

        $.ajax({

            type: "POST",
            url: "/WBS/ShowLandDetails",
            success: function (response) {

                response = JSON.parse(BindDataTableLand(response));

                $("#MyDataTableLand").append(response)

            }
        });
    }

    var BindDataTableLand = function (response) {

       

        $("#MyDataTableLand").DataTable({

            "aaData": response,
            "aoColumns": [

                { "mData": "ItemCode" },
                //{ "mData": "Location" },
                //{ "mData": "ItemName" },
                { "mData": "Length" },
                { "mData": "Width" },
                { "mData": "Area" },
                { "mData": "Quantity" },
                { "mData": "Description" }


            ]



        });


        $("#loaderDiv").hide();
    }


</script>


<script>

   $(document).ready(function () {

        var SessionValueLocation = '@Request.RequestContext.HttpContext.Session["location"]';


    if (typeof (Storage) !== "undefined") {
        var ItemNameStore = window.localStorage.getItem('ItemNameStorage');
       // var LocationStore = window.localStorage.getItem('LocationStorage');

        $(".itemnameddlLand").val(ItemNameStore);
        $(".locationddlLand").val(SessionValueLocation);



    }
    else {
        alert("This browser does  not support local storage");
    }
 });
</script>

<script>

    function OnSuccess(result) {

        console.log(result);
        if (result.result == true) {

            toastr.success("Asset Added Successfully", "Message", { timeOut: 4000 });
            window.localStorage.removeItem("ItemNameStorage");
            window.localStorage.removeItem("LocationStorage");
            setTimeout(function () { location.reload(); }, 1000);
        }
        else if (result.result == false) {

            toastr.warning("All Fields are Required !!", "Error Message ", { timeOut: 5000 });
        }
    }


    function OnFailure(result) {

        toastr.error("Something Went Wrong", "Error Message");


    }
    function OnComplete(result) {


        document.getElementById("FormLand").reset();


    }


</script>

<script>

    $("#LengthLand").keyup(calc);
    $("#WidthLand").keyup(calc);

    function calc() {

        //$("#AreaofLand").append(
        //    parseFloat($('#LengthLand').val(), 10) + parseFloat($("#WidthLand").val(), 10)
        //);

        var length = parseFloat($('#LengthLand').val(), 2);
        var width = parseFloat($('#WidthLand').val(), 2);

        var result = length * width;
        $("#AreaofLand").val(result);
        console.log(result);
    }


    // if (!$.isNumeric(width)) {
    //    alert("should ne numeric value");

    //}
    //if (!$.isNumeric(length)) {
    //    alert("should ne numeric value");

    //}


    //function myFunction() {
    //    var length = document.getElementById("LengthLand");
    //    var width = document.getElementById("WidthLand");

    //    var result = length * width;

 // x.value = x.value.toUpperCase();

</script>